SDL_GPUGraphicsPipelineCreateInfo Struct Reference

`#include <SDL_gpu.h>`

Collaboration diagram for SDL_GPUGraphicsPipelineCreateInfo:
[legend]

## Data Fields

SDL_GPUShader * | vertex_shader
SDL_GPUShader * | fragment_shader
SDL_GPUVertexInputState | vertex_input_state
SDL_GPUPrimitiveType | primitive_type
SDL_GPURasterizerState | rasterizer_state
SDL_GPUMultisampleState | multisample_state
SDL_GPUDepthStencilState | depth_stencil_state
SDL_GPUGraphicsPipelineTargetInfo | target_info
SDL_PropertiesID | props

## Detailed Description

A structure specifying the parameters of a graphics pipeline state.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_CreateGPUGraphicsPipeline
  SDL_GPUShader
  SDL_GPUVertexInputState
  SDL_GPUPrimitiveType
  SDL_GPURasterizerState
  SDL_GPUMultisampleState
  SDL_GPUDepthStencilState
  SDL_GPUGraphicsPipelineTargetInfo

Definition at line 1840 of file SDL_gpu.h.

## Field Documentation

## depth_stencil_state

SDL_GPUDepthStencilState SDL_GPUGraphicsPipelineCreateInfo::depth_stencil_state

The depth-stencil state of the graphics pipeline.

Definition at line 1848 of file SDL_gpu.h.

## fragment_shader

SDL_GPUShader* SDL_GPUGraphicsPipelineCreateInfo::fragment_shader

The fragment shader used by the graphics pipeline.

Definition at line 1843 of file SDL_gpu.h.

## multisample_state

SDL_GPUMultisampleState SDL_GPUGraphicsPipelineCreateInfo::multisample_state

The multisample state of the graphics pipeline.

Definition at line 1847 of file SDL_gpu.h.

## primitive_type

SDL_GPUPrimitiveType SDL_GPUGraphicsPipelineCreateInfo::primitive_type

The primitive topology of the graphics pipeline.

Definition at line 1845 of file SDL_gpu.h.

## props

SDL_PropertiesID SDL_GPUGraphicsPipelineCreateInfo::props

A properties ID for extensions. Should be 0 if no extensions are needed.

Definition at line 1851 of file SDL_gpu.h.

## rasterizer_state

SDL_GPURasterizerState SDL_GPUGraphicsPipelineCreateInfo::rasterizer_state

The rasterizer state of the graphics pipeline.

Definition at line 1846 of file SDL_gpu.h.

## target_info

SDL_GPUGraphicsPipelineTargetInfo SDL_GPUGraphicsPipelineCreateInfo::target_info

Formats and blend modes for the render targets of the graphics pipeline.

Definition at line 1849 of file SDL_gpu.h.

## vertex_input_state

SDL_GPUVertexInputState SDL_GPUGraphicsPipelineCreateInfo::vertex_input_state

The vertex layout of the graphics pipeline.

Definition at line 1844 of file SDL_gpu.h.

## vertex_shader

SDL_GPUShader* SDL_GPUGraphicsPipelineCreateInfo::vertex_shader

The vertex shader used by the graphics pipeline.

Definition at line 1842 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h